### Method

# Gegl Path calc_y_for_x

#### Declaration [src]

    gint
    gegl_path_calc_y_for_x (
      GeglPath* path,
      gdouble x,
      gdouble* y
    )

#### Description [src]

Compute a corresponding y coordinate for a given x input coordinate, returns 0 if computed correctly and -1 if the path doesn’t exist for the specified x coordinate.

#### Parameters

`x`

  Type: `gdouble`

  X coordinate to compute for.

`y`

  Type: `gdouble*`

  Return location for y coordinate.

  The argument will be set by the function.

#### Return value

Type: `gint`

No description available.